rte_mempool_objsz(3)

NAME
rte_mempool_objsz

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

uint32_t elt_size
uint32_t header_size
uint32_t trailer_size
uint32_t total_size

Detailed Description

A structure that stores the size of mempool elements.Maximum length of a memory pool's name.

Definition at line 119 of file rte_mempool.h.

Field Documentation

  uint32_t elt_size
Size of an element.

Definition at line 120 of file rte_mempool.h.

  uint32_t header_size
Size of header (before elt).

Definition at line 121 of file rte_mempool.h.

  uint32_t trailer_size
Size of trailer (after elt).

Definition at line 122 of file rte_mempool.h.

  uint32_t total_size
Total size of an object (header + elt + trailer).

Definition at line 123 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.